using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Aurora.Core.IService.Dto;
using Aurora.Infrastructure.Response;

namespace Aurora.Core.IService
{
    public interface ICategoryService
    {
        Task<ResponseModel<CategoryDto>> GetById(int id);
        Task<ResponseModel<List<CategoryDto>>> GetList();
        Task<ResponseModel<CategoryDto>> Add(CategoryDto model);
    }
}
